## golang-go.pedge-env 0.0~git20171203.5f5a7de

=== Makefile ===
.PHONY: \
	all \
	deps \
	updatedeps \
	testdeps \
	updatetestdeps \
	build \
	lint \
	vet \
	errcheck \
	pretest \
	test \
	cov \
	clean

all: test

deps:
	go get -d -v ./...

updatedeps:
	go get -d -v -u -f ./...

testdeps:
	go get -d -v -t ./...

updatetestdeps:
	go get -d -v -t -u -f ./...

build: deps
	go build ./...

lint: testdeps
	go get -v github.com/golang/lint/golint
	golint ./.

vet: testdeps
	go vet ./...

errcheck: testdeps
	go get -v github.com/kisielk/errcheck
	errcheck ./...

pretest: lint vet errcheck

test: testdeps pretest
	go test ./...

cov: testdeps
	go get -v github.com/axw/gocov/gocov
	go get golang.org/x/tools/cmd/cover
	gocov test | gocov report

clean:
	go clean -i ./...

=== debian/changelog ===
golang-go.pedge-env (0.0~git20171203.5f5a7de-4) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:12:26 -0500

golang-go.pedge-env (0.0~git20171203.5f5a7de-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:44:28 -0500

golang-go.pedge-env (0.0~git20171203.5f5a7de-2) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 22:31:21 -0500

golang-go.pedge-env (0.0~git20171203.5f5a7de-1) unstable; urgency=medium

  * Initial release (Closes: #885260)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:04:40 -0500

=== debian/control ===
Source: golang-go.pedge-env
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.1.1
Homepage: https://github.com/peter-edge/env-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.pedge-env
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.pedge-env.git
XS-Go-Import-Path: go.pedge.io/env
Testsuite: autopkgtest-pkg-go

Package: golang-go.pedge-env-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: structured handling of environment variables in Go
 Package env handles environment variables in a structured manner.
 It uses reflection to set fields on a struct pointer passed to
 the main public method, Populate.
